import type { ChainId } from 'sushi/chain';
import type { ChainIdVariable } from '../types/chainId';
type ReturnType<C extends ChainId, T extends Record<string, any>> = T & ChainIdVariable<C>;
export declare function addChainId<C extends ChainId, T extends Record<string, any> & {
    chainId?: never;
}>(chainId: C, object: T): ReturnType<C, T>;
export {};
