import type { RequestOptions } from '../../../lib/request';
import type { ChainIdVariable } from '../../../lib/types/chainId';
import type { ChainId } from 'sushi/chain';
type GetBlockHistoric = {
    secsAgo?: number;
    minsAgo?: number;
    hoursAgo?: number;
    daysAgo?: number;
    weeksAgo?: number;
    monthsAgo?: number;
    yearsAgo?: number;
} & ChainIdVariable<ChainId>;
export declare function getBlockHistoric({ chainId, secsAgo, minsAgo, hoursAgo, daysAgo, weeksAgo, monthsAgo, yearsAgo, }: GetBlockHistoric, options?: RequestOptions): Promise<{
    id: `0x${string}`;
    number: number;
    timestamp: number;
    chainId: Readonly<ChainId>;
}>;
export {};
