import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const StrapiTopicsQuery: import("gql.tada").TadaDocumentNode<{
    topics: {
        data: {
            attributes: {
                slug: string;
                name: string;
            };
            id: string;
        }[];
    };
}, {}, void>;
export type GetTopics = VariablesOf<typeof StrapiTopicsQuery>;
export type Topic = Awaited<ReturnType<typeof getTopics>>[number];
export declare function getTopics(_variables?: GetTopics, options?: RequestOptions): Promise<{
    id: string;
    name: string;
    slug: string;
}[]>;
