import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const SushiBarHistoryQuery: import("gql.tada").TadaDocumentNode<{
    weekSnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
    daySnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
    hourSnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
}, {
    weekCnt?: number;
    dayCnt?: number;
    hourCnt?: number;
}, void>;
export type GetSushiBarHistory = VariablesOf<typeof SushiBarHistoryQuery>;
export declare function getSushiBarHistory(variables: GetSushiBarHistory, options?: RequestOptions): Promise<{
    weekSnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
    daySnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
    hourSnapshots: {
        apr12m: string;
        apr6m: string;
        apr3m: string;
        apr1m: string;
        xSushiSupply: string;
        date: number;
        id: string;
    }[];
}>;
export type SushiBarHistory = Awaited<ReturnType<typeof getSushiBarHistory>>;
