export declare const PoolFieldsFragment: import("gql.tada").TadaDocumentNode<{
    txCount: string;
    volumeUSD: string;
    token1Price: string;
    token0Price: string;
    liquidityNative: string;
    liquidityUSD: string;
    totalSupply: string;
    reserve1: string;
    reserve0: string;
    createdAtTimestamp: string;
    createdAtBlockNumber: string;
    token1: {
        symbol: string;
        decimals: string;
        id: `0x${string}`;
        name: string;
    };
    token0: {
        symbol: string;
        decimals: string;
        id: `0x${string}`;
        name: string;
    };
    id: `0x${string}`;
}, {}, {
    fragment: "PoolFields";
    on: "Pair";
    masked: false;
}>;
