import type { ResultOf } from 'gql.tada';
import type { SushiV2PoolBucketsQuery } from '../../../subgraphs/sushi-v2/queries/pool-with-buckets';
import type { PoolBucket } from 'sushi/types';
type FetchedBucket = NonNullable<ResultOf<typeof SushiV2PoolBucketsQuery>['pair']>['poolHourData'][number];
export declare function transformBucketsV2ToStd(buckets: FetchedBucket[]): PoolBucket[];
export declare function transformBucketV2ToStd(bucket: FetchedBucket): PoolBucket;
export {};
