export declare const PoolFieldsFragment: import("gql.tada").TadaDocumentNode<{
    createdAtBlockNumber: string;
    createdAtTimestamp: string;
    txCount: string;
    liquidityProviderCount: string;
    untrackedLiquidityUSD: string;
    liquidityUSD: string;
    reserve1: string;
    reserve0: string;
    collectedFeesUSD: string;
    collectedFeesToken1: string;
    collectedFeesToken0: string;
    feesUSD: string;
    untrackedVolumeUSD: string;
    volumeUSD: string;
    volumeToken1: string;
    volumeToken0: string;
    observationIndex: string;
    tick: string;
    token1Price: string;
    token0Price: string;
    feeGrowthGlobal1X128: string;
    feeGrowthGlobal0X128: string;
    sqrtPrice: string;
    liquidity: string;
    swapFee: string;
    token1: {
        decimals: string;
        name: string;
        symbol: string;
        id: string;
    };
    token0: {
        decimals: string;
        name: string;
        symbol: string;
        id: string;
    };
    id: string;
}, {}, {
    fragment: "PoolFields";
    on: "Pool";
    masked: false;
}>;
