import type { RequestOptions } from '../lib/request';
import { type GetSushiV2Pool } from '../subgraphs/sushi-v2/queries/pool';
import { type GetSushiV3Pool } from '../subgraphs/sushi-v3/queries/pool';
import type { PoolBase, PoolHistory1D, PoolV2, PoolV3, PoolWithBuckets } from 'sushi/types';
export type GetSushiHistoricPool = Omit<GetSushiV2Pool | GetSushiV3Pool, 'block'>;
type Result = PoolHistory1D<PoolWithBuckets<PoolV2<PoolBase> | PoolV3<PoolBase>>>;
export declare function getSushiHistoricPool({ chainId, ...variables }: GetSushiHistoricPool, options?: RequestOptions): Promise<Result>;
export {};
