import type { VariablesOf } from 'gql.tada';
import type { RequestOptions } from '../../../lib/request';
export declare const MasterChefV1UserPositionsQuery: import("gql.tada").TadaDocumentNode<{
    users: {
        pool: {
            id: `0x${string}`;
        };
        balance: string;
        address: `0x${string}`;
        id: string;
    }[];
}, {
    where?: {
        or?: any[];
        and?: any[];
        _change_block?: {
            number_gte: number;
        };
        block_not_in?: string[];
        block_in?: string[];
        block_lte?: string;
        block_gte?: string;
        block_lt?: string;
        block_gt?: string;
        block_not?: string;
        block?: string;
        timestamp_not_in?: string[];
        timestamp_in?: string[];
        timestamp_lte?: string;
        timestamp_gte?: string;
        timestamp_lt?: string;
        timestamp_gt?: string;
        timestamp_not?: string;
        timestamp?: string;
        sushiHarvestedUSD_not_in?: string[];
        sushiHarvestedUSD_in?: string[];
        sushiHarvestedUSD_lte?: string;
        sushiHarvestedUSD_gte?: string;
        sushiHarvestedUSD_lt?: string;
        sushiHarvestedUSD_gt?: string;
        sushiHarvestedUSD_not?: string;
        sushiHarvestedUSD?: string;
        sushiHarvested_not_in?: string[];
        sushiHarvested_in?: string[];
        sushiHarvested_lte?: string;
        sushiHarvested_gte?: string;
        sushiHarvested_lt?: string;
        sushiHarvested_gt?: string;
        sushiHarvested_not?: string;
        sushiHarvested?: string;
        exitUSD_not_in?: string[];
        exitUSD_in?: string[];
        exitUSD_lte?: string;
        exitUSD_gte?: string;
        exitUSD_lt?: string;
        exitUSD_gt?: string;
        exitUSD_not?: string;
        exitUSD?: string;
        entryUSD_not_in?: string[];
        entryUSD_in?: string[];
        entryUSD_lte?: string;
        entryUSD_gte?: string;
        entryUSD_lt?: string;
        entryUSD_gt?: string;
        entryUSD_not?: string;
        entryUSD?: string;
        rewardDebt_not_in?: string[];
        rewardDebt_in?: string[];
        rewardDebt_lte?: string;
        rewardDebt_gte?: string;
        rewardDebt_lt?: string;
        rewardDebt_gt?: string;
        rewardDebt_not?: string;
        rewardDebt?: string;
        amount_not_in?: string[];
        amount_in?: string[];
        amount_lte?: string;
        amount_gte?: string;
        amount_lt?: string;
        amount_gt?: string;
        amount_not?: string;
        amount?: string;
        pool_?: {
            or?: any[];
            and?: any[];
            _change_block?: {
                number_gte: number;
            };
            sushiHarvestedUSD_not_in?: string[];
            sushiHarvestedUSD_in?: string[];
            sushiHarvestedUSD_lte?: string;
            sushiHarvestedUSD_gte?: string;
            sushiHarvestedUSD_lt?: string;
            sushiHarvestedUSD_gt?: string;
            sushiHarvestedUSD_not?: string;
            sushiHarvestedUSD?: string;
            sushiHarvested_not_in?: string[];
            sushiHarvested_in?: string[];
            sushiHarvested_lte?: string;
            sushiHarvested_gte?: string;
            sushiHarvested_lt?: string;
            sushiHarvested_gt?: string;
            sushiHarvested_not?: string;
            sushiHarvested?: string;
            exitUSD_not_in?: string[];
            exitUSD_in?: string[];
            exitUSD_lte?: string;
            exitUSD_gte?: string;
            exitUSD_lt?: string;
            exitUSD_gt?: string;
            exitUSD_not?: string;
            exitUSD?: string;
            entryUSD_not_in?: string[];
            entryUSD_in?: string[];
            entryUSD_lte?: string;
            entryUSD_gte?: string;
            entryUSD_lt?: string;
            entryUSD_gt?: string;
            entryUSD_not?: string;
            entryUSD?: string;
            updatedAt_not_in?: string[];
            updatedAt_in?: string[];
            updatedAt_lte?: string;
            updatedAt_gte?: string;
            updatedAt_lt?: string;
            updatedAt_gt?: string;
            updatedAt_not?: string;
            updatedAt?: string;
            block_not_in?: string[];
            block_in?: string[];
            block_lte?: string;
            block_gte?: string;
            block_lt?: string;
            block_gt?: string;
            block_not?: string;
            block?: string;
            timestamp_not_in?: string[];
            timestamp_in?: string[];
            timestamp_lte?: string;
            timestamp_gte?: string;
            timestamp_lt?: string;
            timestamp_gt?: string;
            timestamp_not?: string;
            timestamp?: string;
            slpWithdrawn_not_in?: string[];
            slpWithdrawn_in?: string[];
            slpWithdrawn_lte?: string;
            slpWithdrawn_gte?: string;
            slpWithdrawn_lt?: string;
            slpWithdrawn_gt?: string;
            slpWithdrawn_not?: string;
            slpWithdrawn?: string;
            slpDeposited_not_in?: string[];
            slpDeposited_in?: string[];
            slpDeposited_lte?: string;
            slpDeposited_gte?: string;
            slpDeposited_lt?: string;
            slpDeposited_gt?: string;
            slpDeposited_not?: string;
            slpDeposited?: string;
            slpAgeRemoved_not_in?: string[];
            slpAgeRemoved_in?: string[];
            slpAgeRemoved_lte?: string;
            slpAgeRemoved_gte?: string;
            slpAgeRemoved_lt?: string;
            slpAgeRemoved_gt?: string;
            slpAgeRemoved_not?: string;
            slpAgeRemoved?: string;
            slpAge_not_in?: string[];
            slpAge_in?: string[];
            slpAge_lte?: string;
            slpAge_gte?: string;
            slpAge_lt?: string;
            slpAge_gt?: string;
            slpAge_not?: string;
            slpAge?: string;
            slpBalance_not_in?: string[];
            slpBalance_in?: string[];
            slpBalance_lte?: string;
            slpBalance_gte?: string;
            slpBalance_lt?: string;
            slpBalance_gt?: string;
            slpBalance_not?: string;
            slpBalance?: string;
            userCount_not_in?: string[];
            userCount_in?: string[];
            userCount_lte?: string;
            userCount_gte?: string;
            userCount_lt?: string;
            userCount_gt?: string;
            userCount_not?: string;
            userCount?: string;
            users_?: any;
            balance_not_in?: string[];
            balance_in?: string[];
            balance_lte?: string;
            balance_gte?: string;
            balance_lt?: string;
            balance_gt?: string;
            balance_not?: string;
            balance?: string;
            accSushiPerShare_not_in?: string[];
            accSushiPerShare_in?: string[];
            accSushiPerShare_lte?: string;
            accSushiPerShare_gte?: string;
            accSushiPerShare_lt?: string;
            accSushiPerShare_gt?: string;
            accSushiPerShare_not?: string;
            accSushiPerShare?: string;
            lastRewardBlock_not_in?: string[];
            lastRewardBlock_in?: string[];
            lastRewardBlock_lte?: string;
            lastRewardBlock_gte?: string;
            lastRewardBlock_lt?: string;
            lastRewardBlock_gt?: string;
            lastRewardBlock_not?: string;
            lastRewardBlock?: string;
            allocPoint_not_in?: string[];
            allocPoint_in?: string[];
            allocPoint_lte?: string;
            allocPoint_gte?: string;
            allocPoint_lt?: string;
            allocPoint_gt?: string;
            allocPoint_not?: string;
            allocPoint?: string;
            pair_not_contains?: `0x${string}`;
            pair_contains?: `0x${string}`;
            pair_not_in?: `0x${string}`[];
            pair_in?: `0x${string}`[];
            pair_lte?: `0x${string}`;
            pair_gte?: `0x${string}`;
            pair_lt?: `0x${string}`;
            pair_gt?: `0x${string}`;
            pair_not?: `0x${string}`;
            pair?: `0x${string}`;
            owner_?: {
                or?: any[];
                and?: any[];
                _change_block?: {
                    number_gte: number;
                };
                updatedAt_not_in?: string[];
                updatedAt_in?: string[];
                updatedAt_lte?: string;
                updatedAt_gte?: string;
                updatedAt_lt?: string;
                updatedAt_gt?: string;
                updatedAt_not?: string;
                updatedAt?: string;
                history_?: {
                    or?: any[];
                    and?: any[];
                    _change_block?: {
                        number_gte: number;
                    };
                    block_not_in?: string[];
                    block_in?: string[];
                    block_lte?: string;
                    block_gte?: string;
                    block_lt?: string;
                    block_gt?: string;
                    block_not?: string;
                    block?: string;
                    timestamp_not_in?: string[];
                    timestamp_in?: string[];
                    timestamp_lte?: string;
                    timestamp_gte?: string;
                    timestamp_lt?: string;
                    timestamp_gt?: string;
                    timestamp_not?: string;
                    timestamp?: string;
                    slpWithdrawn_not_in?: string[];
                    slpWithdrawn_in?: string[];
                    slpWithdrawn_lte?: string;
                    slpWithdrawn_gte?: string;
                    slpWithdrawn_lt?: string;
                    slpWithdrawn_gt?: string;
                    slpWithdrawn_not?: string;
                    slpWithdrawn?: string;
                    slpDeposited_not_in?: string[];
                    slpDeposited_in?: string[];
                    slpDeposited_lte?: string;
                    slpDeposited_gte?: string;
                    slpDeposited_lt?: string;
                    slpDeposited_gt?: string;
                    slpDeposited_not?: string;
                    slpDeposited?: string;
                    slpAgeRemoved_not_in?: string[];
                    slpAgeRemoved_in?: string[];
                    slpAgeRemoved_lte?: string;
                    slpAgeRemoved_gte?: string;
                    slpAgeRemoved_lt?: string;
                    slpAgeRemoved_gt?: string;
                    slpAgeRemoved_not?: string;
                    slpAgeRemoved?: string;
                    slpAge_not_in?: string[];
                    slpAge_in?: string[];
                    slpAge_lte?: string;
                    slpAge_gte?: string;
                    slpAge_lt?: string;
                    slpAge_gt?: string;
                    slpAge_not?: string;
                    slpAge?: string;
                    slpBalance_not_in?: string[];
                    slpBalance_in?: string[];
                    slpBalance_lte?: string;
                    slpBalance_gte?: string;
                    slpBalance_lt?: string;
                    slpBalance_gt?: string;
                    slpBalance_not?: string;
                    slpBalance?: string;
                    owner_?: any;
                    owner_not_ends_with_nocase?: string;
                    owner_not_ends_with?: string;
                    owner_ends_with_nocase?: string;
                    owner_ends_with?: string;
                    owner_not_starts_with_nocase?: string;
                    owner_not_starts_with?: string;
                    owner_starts_with_nocase?: string;
                    owner_starts_with?: string;
                    owner_not_contains_nocase?: string;
                    owner_not_contains?: string;
                    owner_contains_nocase?: string;
                    owner_contains?: string;
                    owner_not_in?: string[];
                    owner_in?: string[];
                    owner_lte?: string;
                    owner_gte?: string;
                    owner_lt?: string;
                    owner_gt?: string;
                    owner_not?: string;
                    owner?: string;
                    id_not_in?: string[];
                    id_in?: string[];
                    id_lte?: string;
                    id_gte?: string;
                    id_lt?: string;
                    id_gt?: string;
                    id_not?: string;
                    id?: string;
                };
                slpWithdrawn_not_in?: string[];
                slpWithdrawn_in?: string[];
                slpWithdrawn_lte?: string;
                slpWithdrawn_gte?: string;
                slpWithdrawn_lt?: string;
                slpWithdrawn_gt?: string;
                slpWithdrawn_not?: string;
                slpWithdrawn?: string;
                slpDeposited_not_in?: string[];
                slpDeposited_in?: string[];
                slpDeposited_lte?: string;
                slpDeposited_gte?: string;
                slpDeposited_lt?: string;
                slpDeposited_gt?: string;
                slpDeposited_not?: string;
                slpDeposited?: string;
                slpAgeRemoved_not_in?: string[];
                slpAgeRemoved_in?: string[];
                slpAgeRemoved_lte?: string;
                slpAgeRemoved_gte?: string;
                slpAgeRemoved_lt?: string;
                slpAgeRemoved_gt?: string;
                slpAgeRemoved_not?: string;
                slpAgeRemoved?: string;
                slpAge_not_in?: string[];
                slpAge_in?: string[];
                slpAge_lte?: string;
                slpAge_gte?: string;
                slpAge_lt?: string;
                slpAge_gt?: string;
                slpAge_not?: string;
                slpAge?: string;
                slpBalance_not_in?: string[];
                slpBalance_in?: string[];
                slpBalance_lte?: string;
                slpBalance_gte?: string;
                slpBalance_lt?: string;
                slpBalance_gt?: string;
                slpBalance_not?: string;
                slpBalance?: string;
                poolCount_not_in?: string[];
                poolCount_in?: string[];
                poolCount_lte?: string;
                poolCount_gte?: string;
                poolCount_lt?: string;
                poolCount_gt?: string;
                poolCount_not?: string;
                poolCount?: string;
                pools_?: any;
                totalAllocPoint_not_in?: string[];
                totalAllocPoint_in?: string[];
                totalAllocPoint_lte?: string;
                totalAllocPoint_gte?: string;
                totalAllocPoint_lt?: string;
                totalAllocPoint_gt?: string;
                totalAllocPoint_not?: string;
                totalAllocPoint?: string;
                sushiPerBlock_not_in?: string[];
                sushiPerBlock_in?: string[];
                sushiPerBlock_lte?: string;
                sushiPerBlock_gte?: string;
                sushiPerBlock_lt?: string;
                sushiPerBlock_gt?: string;
                sushiPerBlock_not?: string;
                sushiPerBlock?: string;
                sushi_not_contains?: `0x${string}`;
                sushi_contains?: `0x${string}`;
                sushi_not_in?: `0x${string}`[];
                sushi_in?: `0x${string}`[];
                sushi_lte?: `0x${string}`;
                sushi_gte?: `0x${string}`;
                sushi_lt?: `0x${string}`;
                sushi_gt?: `0x${string}`;
                sushi_not?: `0x${string}`;
                sushi?: `0x${string}`;
                startBlock_not_in?: string[];
                startBlock_in?: string[];
                startBlock_lte?: string;
                startBlock_gte?: string;
                startBlock_lt?: string;
                startBlock_gt?: string;
                startBlock_not?: string;
                startBlock?: string;
                owner_not_contains?: `0x${string}`;
                owner_contains?: `0x${string}`;
                owner_not_in?: `0x${string}`[];
                owner_in?: `0x${string}`[];
                owner_lte?: `0x${string}`;
                owner_gte?: `0x${string}`;
                owner_lt?: `0x${string}`;
                owner_gt?: `0x${string}`;
                owner_not?: `0x${string}`;
                owner?: `0x${string}`;
                migrator_not_contains?: `0x${string}`;
                migrator_contains?: `0x${string}`;
                migrator_not_in?: `0x${string}`[];
                migrator_in?: `0x${string}`[];
                migrator_lte?: `0x${string}`;
                migrator_gte?: `0x${string}`;
                migrator_lt?: `0x${string}`;
                migrator_gt?: `0x${string}`;
                migrator_not?: `0x${string}`;
                migrator?: `0x${string}`;
                devaddr_not_contains?: `0x${string}`;
                devaddr_contains?: `0x${string}`;
                devaddr_not_in?: `0x${string}`[];
                devaddr_in?: `0x${string}`[];
                devaddr_lte?: `0x${string}`;
                devaddr_gte?: `0x${string}`;
                devaddr_lt?: `0x${string}`;
                devaddr_gt?: `0x${string}`;
                devaddr_not?: `0x${string}`;
                devaddr?: `0x${string}`;
                bonusEndBlock_not_in?: string[];
                bonusEndBlock_in?: string[];
                bonusEndBlock_lte?: string;
                bonusEndBlock_gte?: string;
                bonusEndBlock_lt?: string;
                bonusEndBlock_gt?: string;
                bonusEndBlock_not?: string;
                bonusEndBlock?: string;
                bonusMultiplier_not_in?: string[];
                bonusMultiplier_in?: string[];
                bonusMultiplier_lte?: string;
                bonusMultiplier_gte?: string;
                bonusMultiplier_lt?: string;
                bonusMultiplier_gt?: string;
                bonusMultiplier_not?: string;
                bonusMultiplier?: string;
                id_not_in?: string[];
                id_in?: string[];
                id_lte?: string;
                id_gte?: string;
                id_lt?: string;
                id_gt?: string;
                id_not?: string;
                id?: string;
            };
            owner_not_ends_with_nocase?: string;
            owner_not_ends_with?: string;
            owner_ends_with_nocase?: string;
            owner_ends_with?: string;
            owner_not_starts_with_nocase?: string;
            owner_not_starts_with?: string;
            owner_starts_with_nocase?: string;
            owner_starts_with?: string;
            owner_not_contains_nocase?: string;
            owner_not_contains?: string;
            owner_contains_nocase?: string;
            owner_contains?: string;
            owner_not_in?: string[];
            owner_in?: string[];
            owner_lte?: string;
            owner_gte?: string;
            owner_lt?: string;
            owner_gt?: string;
            owner_not?: string;
            owner?: string;
            id_not_in?: string[];
            id_in?: string[];
            id_lte?: string;
            id_gte?: string;
            id_lt?: string;
            id_gt?: string;
            id_not?: string;
            id?: string;
        };
        pool_not_ends_with_nocase?: string;
        pool_not_ends_with?: string;
        pool_ends_with_nocase?: string;
        pool_ends_with?: string;
        pool_not_starts_with_nocase?: string;
        pool_not_starts_with?: string;
        pool_starts_with_nocase?: string;
        pool_starts_with?: string;
        pool_not_contains_nocase?: string;
        pool_not_contains?: string;
        pool_contains_nocase?: string;
        pool_contains?: string;
        pool_not_in?: string[];
        pool_in?: string[];
        pool_lte?: string;
        pool_gte?: string;
        pool_lt?: string;
        pool_gt?: string;
        pool_not?: string;
        pool?: string;
        address_not_contains?: `0x${string}`;
        address_contains?: `0x${string}`;
        address_not_in?: `0x${string}`[];
        address_in?: `0x${string}`[];
        address_lte?: `0x${string}`;
        address_gte?: `0x${string}`;
        address_lt?: `0x${string}`;
        address_gt?: `0x${string}`;
        address_not?: `0x${string}`;
        address?: `0x${string}`;
        id_not_in?: string[];
        id_in?: string[];
        id_lte?: string;
        id_gte?: string;
        id_lt?: string;
        id_gt?: string;
        id_not?: string;
        id?: string;
    };
    orderDirection?: "asc" | "desc";
    orderBy?: "id" | "address" | "block" | "pool" | "amount" | "rewardDebt" | "entryUSD" | "exitUSD" | "sushiHarvested" | "sushiHarvestedUSD" | "timestamp" | "pool__id" | "pool__pair" | "pool__allocPoint" | "pool__lastRewardBlock" | "pool__accSushiPerShare" | "pool__balance" | "pool__userCount" | "pool__slpBalance" | "pool__slpAge" | "pool__slpAgeRemoved" | "pool__slpDeposited" | "pool__slpWithdrawn" | "pool__timestamp" | "pool__block" | "pool__updatedAt" | "pool__entryUSD" | "pool__exitUSD" | "pool__sushiHarvested" | "pool__sushiHarvestedUSD";
    block?: {
        number_gte?: number;
        number?: number;
        hash?: `0x${string}`;
    };
    skip?: number;
    first?: number;
}, void>;
export type GetMasterChefV1UserPositions = VariablesOf<typeof MasterChefV1UserPositionsQuery>;
export declare function getMasterChefV1UserPositions({ ...variables }: GetMasterChefV1UserPositions, options?: RequestOptions): Promise<{
    id: string;
    address: `0x${string}`;
    balance: string;
    pool: {
        protocol: "SUSHISWAP_V2";
        chainId: 1;
        address: `0x${string}`;
        id: `${string}:0x${string}`;
    };
}[]>;
export type MasterChefV1UserPositions = Awaited<ReturnType<typeof getMasterChefV1UserPositions>>;
