import type { VariablesOf } from 'gql.tada';
import { type RequestOptions } from '../../../lib/request';
export declare const StrapiDifficultiesQuery: import("gql.tada").TadaDocumentNode<{
    difficulties: {
        data: {
            attributes: {
                label: string;
                slug: string;
                longDescription: string;
                shortDescription: string;
                name: string;
            };
            id: string;
        }[];
    };
}, {}, void>;
export type GetDifficulties = VariablesOf<typeof StrapiDifficultiesQuery>;
export type Difficulty = Awaited<ReturnType<typeof getDifficulties>>[number];
export declare function getDifficulties(_variables?: GetDifficulties, options?: RequestOptions): Promise<{
    id: string;
    name: string;
    shortDescription: string;
    longDescription: string;
    slug: string;
    label: string;
}[]>;
