import type { ResultOf } from 'gql.tada';
import type { ImageFieldsFragment } from '../../../subgraphs/strapi/fragments/image-fields';
export type Image = ReturnType<typeof transformImage>;
export declare function transformImage(image: ResultOf<typeof ImageFieldsFragment>): {
    id: string;
    url: string;
    name: string;
    width: number;
    height: number;
    caption: string;
    alternativeText: string;
    mime: string;
    hash: string;
    provider_metadata: object;
};
