import type { ResultOf } from 'gql.tada';
import type { PoolFieldsFragment } from '../../../subgraphs/sushi-v2/fragments/pool-fields';
import type { SushiSwapV2ChainId } from 'sushi/config';
import { type PoolBase, type PoolV2 } from 'sushi/types';
type ToPick = 'id' | 'token0' | 'token1' | 'reserve0' | 'reserve1' | 'totalSupply' | 'liquidityUSD' | 'volumeUSD' | 'txCount' | 'token0Price' | 'token1Price';
type RequiredBase = Pick<ResultOf<typeof PoolFieldsFragment>, ToPick>;
export declare function transformPoolV2ToBase<T extends RequiredBase>(pool: T, chainId: SushiSwapV2ChainId): PoolV2<PoolBase>;
export {};
