import type { ResultOf } from 'gql.tada';
import type { SushiV3PoolBucketsQuery } from '../../../subgraphs/sushi-v3/queries/pool-with-buckets';
import type { PoolBucket } from 'sushi/types';
type FetchedBucket = NonNullable<ResultOf<typeof SushiV3PoolBucketsQuery>['pool']>['poolHourData'][number];
export declare function transformBucketsV3ToStd(buckets: FetchedBucket[]): PoolBucket[];
export declare function transformBucketV3ToStd(bucket: FetchedBucket): PoolBucket;
export {};
